Last Comment Bug 579747 - Page Info - Permissions, Ineffectual on https: sites
: Page Info - Permissions, Ineffectual on https: sites
Status: RESOLVED FIXED
[good first bug]
: regression
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: seamonkey2.1a3
Assigned To: Edmund Wong (:ewong)
:
Mentors:
https://bugzilla.mozilla.org
Depends on:
Blocks: 539174
  Show dependency treegraph
 
Reported: 2010-07-18 09:49 PDT by therube
Modified: 2010-07-25 19:24 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fixed a regresion from bug 539174 (1.47 KB, patch)
2010-07-23 21:41 PDT, Edmund Wong (:ewong)
neil: review+
Details | Diff | Splinter Review

Description therube 2010-07-18 09:49:20 PDT
User-Agent:       Mozilla/5.0 (Windows; Windows NT 6.1; en-US; rv:2.0b2pre) Gecko/20100718 SeaMonkey/2.1a3pre
Build Identifier: Mozilla/5.0 (Windows; Windows NT 6.1; en-US; rv:2.0b2pre) Gecko/20100718 SeaMonkey/2.1a3pre

 
On an https: website, changes made via Page Info | Permissions are ineffectual.
 

Reproducible: Always

Steps to Reproduce:
 
1. Load http://bugzilla.mozilla.org
2. View | Page Info (or Ctrl+I) -> Permissions (tab)
3. Make a change
 
Actual Results:  
 
Changes are not effectual.
 

Expected Results:  
 
Changes should be effectual.
 

 
Broke between 2010 7/14 & 7/15.
Note that none of the square check boxes are checked (& you would expect them to be by default).
 
 
Error Console:

Error: Component returned failure code: 0x80004003 (NS_ERROR_INVALID_POINTER) [nsIPermissionManager.add]
Source file: chrome://navigator/content/pageinfo/permissions.js
Line: 175
 
 
Line 175:

  permissionManager.add(gPermURI, aPartId, permission);
 
 
Context:

function onRadioClick(aPartId)
{
  var permissionManager = Components.classes[PERMISSION_CONTRACTID]
                                    .getService(nsIPermissionManager);
  var radioGroup = document.getElementById(aPartId + "RadioGroup");
  var id = radioGroup.selectedItem.id;
  var permission = id.split('-')[1];
  permissionManager.add(gPermURI, aPartId, permission);
}
 
 
> Ratty: There have been some recent changes in the Permissions code due to e10s (multiprocess tabs) landing. Perhaps something there broke us.

> Ratty: http://hg.mozilla.org/mozilla-central/pushloghtml?startdate=2010-07-14&enddate=2010-07-16
> Ratty: probably Bug 564535 - permission manager needs to be remoted
Comment 1 neil@parkwaycc.co.uk 2010-07-23 02:51:23 PDT
Actually I think this is a regression from bug 539174, it probably just needs the security.js changes ported over.
Comment 2 Tanner M. Young [:tmyoung] 2010-07-23 09:57:55 PDT
Did we port this code over to Seamonkey?  If it isn't, then it's probably not a regression from the Firefox change since the two Page Info instances are branched.
Comment 3 Philip Chee 2010-07-23 10:14:11 PDT
Tanner, you touched a properties file that is shared with Firefox but you didn't make the equivalent changes in the SeaMonkey XUL.
Comment 4 Edmund Wong (:ewong) 2010-07-23 21:41:12 PDT
Created attachment 459994 [details] [diff] [review]
Fixed a regresion from bug 539174
Comment 5 Philip Chee 2010-07-24 08:08:47 PDT
Pushed to comm-central
http://hg.mozilla.org/comm-central/rev/f502c0e0223e

Thanks Edmund!

Note You need to log in before you can comment on or make changes to this bug.